<?php
class bancoUsuarios extends usuario{
    
    private $query;
    private $usuario;
    
    function getQuery() {
        return $this->query;
    }

    function getUsuario() {
        return $this->usuario;
    }

    function setQuery($query) {
        $this->query = $query;
    }

    function setUsuario($usuario) {
        $this->usuario = $usuario;
    }

    public function listarUsuario($idusuario){
        
        $select = "SELECT * FROM usuarios WHERE idusuario = ".$idusuario."";
        $query = mysqli_query($select);
        return $this->query = $query;
    }
    
    public function listarUsuarios(){
        
        $select = "SELECT * FROM usuarios ORDER BY nome ASC";
        $query = mysqli_query($select);
        return $this->query = $query;
    }
    
    public function inserirUsuario (usuario $usuario, $conexao){
        
        $inserirUsuario = "INSERT INTO usuarios(idperfil, idcargo, nome, email, senha, img, datahoraregistro) "
                ."VALUES(".$usuario->getIdperfil().",".$usuario->getIdcargo().",'".$usuario->getNome()."','".$usuario->getEmail()."',"
                . "'".$usuario->getSenha()."','".$usuario->getImg()."','".$usuario->getDatahoraregistro()."')";
        $queryUsuario = mysqli_query($conexao, $inserirUsuario);
        return $this->query = $queryUsuario;
    }
}